[arch-commits] Commit in libgcrypt/repos (6 files)
Andreas Radke
andyrtr at nymeria.archlinux.org
Thu Apr 18 15:54:21 UTC 2013
Date: Thursday, April 18, 2013 @ 17:54:21
Author: andyrtr
Revision: 183186
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
libgcrypt/repos/testing-i686/
libgcrypt/repos/testing-i686/PKGBUILD
(from rev 183185, libgcrypt/trunk/PKGBUILD)
libgcrypt/repos/testing-i686/libgcrypt.install
(from rev 183185, libgcrypt/trunk/libgcrypt.install)
libgcrypt/repos/testing-x86_64/
libgcrypt/repos/testing-x86_64/PKGBUILD
(from rev 183185, libgcrypt/trunk/PKGBUILD)
libgcrypt/repos/testing-x86_64/libgcrypt.install
(from rev 183185, libgcrypt/trunk/libgcrypt.install)
----------------------------------+
testing-i686/PKGBUILD | 35 +++++++++++++++++++++++++++++++++++
testing-i686/libgcrypt.install | 20 ++++++++++++++++++++
testing-x86_64/PKGBUILD | 35 +++++++++++++++++++++++++++++++++++
testing-x86_64/libgcrypt.install | 20 ++++++++++++++++++++
4 files changed, 110 insertions(+)
Copied: libgcrypt/repos/testing-i686/PKGBUILD (from rev 183185, libgcrypt/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2013-04-18 15:54:21 UTC (rev 183186)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=libgcrypt
+pkgver=1.5.2
+pkgrel=1
+pkgdesc="a general purpose crypto library based on the code used"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('libgpg-error>=1.10-2')
+options=('!libtool' '!emptydirs')
+install=$pkgname.install
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+ #ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/libgcrypt/${pkgname}-${pkgver}.tar.bz2
+)
+sha1sums=('c9998383532ba3e8bcaf690f2f0d65e814b48d2f')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr \
+ --disable-static \
+ --disable-padlock-support
+ make
+}
+
+check() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make check
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
Copied: libgcrypt/repos/testing-i686/libgcrypt.install (from rev 183185, libgcrypt/trunk/libgcrypt.install)
===================================================================
--- testing-i686/libgcrypt.install (rev 0)
+++ testing-i686/libgcrypt.install 2013-04-18 15:54:21 UTC (rev 183186)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gcrypt.info.gz gcrypt.info-1.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
Copied: libgcrypt/repos/testing-x86_64/PKGBUILD (from rev 183185, libgcrypt/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2013-04-18 15:54:21 UTC (rev 183186)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=libgcrypt
+pkgver=1.5.2
+pkgrel=1
+pkgdesc="a general purpose crypto library based on the code used"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('libgpg-error>=1.10-2')
+options=('!libtool' '!emptydirs')
+install=$pkgname.install
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+ #ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/libgcrypt/${pkgname}-${pkgver}.tar.bz2
+)
+sha1sums=('c9998383532ba3e8bcaf690f2f0d65e814b48d2f')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr \
+ --disable-static \
+ --disable-padlock-support
+ make
+}
+
+check() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make check
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
Copied: libgcrypt/repos/testing-x86_64/libgcrypt.install (from rev 183185, libgcrypt/trunk/libgcrypt.install)
===================================================================
--- testing-x86_64/libgcrypt.install (rev 0)
+++ testing-x86_64/libgcrypt.install 2013-04-18 15:54:21 UTC (rev 183186)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gcrypt.info.gz gcrypt.info-1.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list